/*
 * Copyright (C) 2002 Roman Zippel <zippel@linux-m68k.org>
 * Released under the terms of the GNU GPL v2.0.
 */

#ifndef ZCONF_H
#define ZCONF_H

#include "expr.h"

#ifdef __cplusplus
extern "C" {
#endif

void symbol_end(char *help);
int zconfparse(void);
void zconfdump(FILE *out);

extern int zconfdebug;
void zconf_starthelp(void);
void zconf_initscan(char *name);
int lineno(void);

struct symbol *lookup_symbol(char *name);
struct symbol *alloc_symbol(char *name);

int readconf(void);
int writeconf(void);

#ifdef __cplusplus
}
#endif

#endif /* ZCONF_H */
